Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLWriter Class Reference

`#include <vtkXMLWriter.h>`

Inheritance diagram for vtkXMLWriter:

[legend]
Collaboration diagram for vtkXMLWriter:

[legend]
List of all members.

## Detailed Description

Superclass for VTK's XML file writers.

Date:
  2002/12/06 02:31:26

Revision:
  1.4

vtkXMLWriter provides methods implementing most of the functionality needed to write VTK XML file formats. Concrete subclasses provide actual writer implementations calling upon this functionality.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (96%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLWriter.h)`
  - .`cxx` (`/IO/vtkXMLWriter.cxx)`

Definition at line 52 of file vtkXMLWriter.h.

## Public Types
typedef vtkProcessObject | Superclass
enum | { BigEndian, LittleEndian }
enum | { Ascii, Binary, Appended }
enum | { Int32 = 32, Int64 = 64 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetDefaultFileExtension ()=0
virtual int | Write ()
virtual void | SetByteOrder (int)
virtual int | GetByteOrder ()
void | SetByteOrderToBigEndian ()
void | SetByteOrderToLittleEndian ()
virtual void | SetIdType (int)
virtual int | GetIdType ()
void | SetIdTypeToInt32 ()
void | SetIdTypeToInt64 ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetCompressor (vtkDataCompressor *)
virtual vtkDataCompressor * | GetCompressor ()
virtual void | SetBlockSize (unsigned int)
virtual unsigned int | GetBlockSize ()
virtual void | SetDataMode (int)
virtual int | GetDataMode ()
void | SetDataModeToAscii ()
void | SetDataModeToBinary ()
void | SetDataModeToAppended ()
virtual void | SetEncodeAppendedData (int)
virtual int | GetEncodeAppendedData ()
virtual void | EncodeAppendedDataOn ()
virtual void | EncodeAppendedDataOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLWriter ()
| ~vtkXMLWriter ()
virtual void | SetDataStream (vtkOutputStream *)
virtual vtkOutputStream * | GetDataStream ()
virtual int | WriteData ()=0
virtual const char * | GetDataSetName ()=0
virtual int | GetDataSetMajorVersion ()
virtual int | GetDataSetMinorVersion ()
vtkDataSet * | GetInputAsDataSet ()
void | StartFile ()
virtual void | WriteFileAttributes ()
void | EndFile ()
void | StartAppendedData ()
void | EndAppendedData ()
unsigned long | ReserveAttributeSpace (const char *attr=0)
unsigned long | GetAppendedDataOffset ()
unsigned long | WriteAppendedDataOffset (unsigned long streamPos, const char *attr=0)
int | WriteBinaryData (void *data, int numWords, int wordType)
int | WriteBinaryData (char *data)
int | WriteBinaryData (char *data, int numWords)
int | WriteBinaryData (unsigned char *data, int numWords)
int | WriteBinaryData (short *data, int numWords)
int | WriteBinaryData (unsigned short *data, int numWords)
int | WriteBinaryData (int *data, int numWords)
int | WriteBinaryData (unsigned int *data, int numWords)
int | WriteAsciiData (void *data, int numWords, int wordType, vtkIndent indent)
int | WriteAsciiData (char *data, vtkIndent indent)
int | WriteAsciiData (char *data, int numWords, vtkIndent indent)
int | WriteAsciiData (unsigned char *data, int numWords, vtkIndent indent)
int | WriteAsciiData (short *data, int numWords, vtkIndent indent)
int | WriteAsciiData (unsigned short *data, int numWords, vtkIndent indent)
int | WriteAsciiData (int *data, int numWords, vtkIndent indent)
int | WriteAsciiData (unsigned int *data, int numWords, vtkIndent indent)
int | WriteScalarAttribute (const char *name, int data)
int | WriteScalarAttribute (const char *name, float data)
int | WriteVectorAttribute (const char *name, int length, int *data)
int | WriteVectorAttribute (const char *name, int length, float *data)
int | WriteDataModeAttribute (const char *name)
int | WriteWordTypeAttribute (const char *name, int dataType)
int | WriteStringAttribute (const char *name, const char *value)
unsigned long | WriteDataArrayAppended (vtkDataArray *a, vtkIndent indent, const char *alternateName=0)
void | WriteDataArrayAppendedData (vtkDataArray *a, unsigned long pos)
void | WriteDataArrayInline (vtkDataArray *a, vtkIndent indent, const char *alternateName=0)
void | WriteInlineData (void *data, int numWords, int wordType, vtkIndent indent)
void | WritePointDataInline (vtkPointData *pd, vtkIndent indent)
void | WriteCellDataInline (vtkCellData *cd, vtkIndent indent)
unsigned long * | WritePointDataAppended (vtkPointData *pd, vtkIndent indent)
void | WritePointDataAppendedData (vtkPointData *pd, unsigned long *pdPositions)
unsigned long * | WriteCellDataAppended (vtkCellData *cd, vtkIndent indent)
void | WriteCellDataAppendedData (vtkCellData *cd, unsigned long *cdPositions)
void | WriteAttributeIndices (vtkDataSetAttributes *dsa, char **names)
unsigned long | WritePointsAppended (vtkPoints *points, vtkIndent indent)
void | WritePointsAppendedData (vtkPoints *points, unsigned long pointsPosition)
void | WritePointsInline (vtkPoints *points, vtkIndent indent)
void | WriteCoordinatesInline (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, vtkIndent indent)
unsigned long * | WriteCoordinatesAppended (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, vtkIndent indent)
void | WriteCoordinatesAppendedData (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, unsigned long *cPositions)
virtual vtkDataArray * | CreateArrayForPoints (vtkDataArray *inArray)
virtual vtkDataArray * | CreateArrayForCells (vtkDataArray *inArray)
virtual vtkDataArray * | CreateExactCoordinates (vtkDataArray *inArray, int xyz)
void | WritePPointData (vtkPointData *pd, vtkIndent indent)
void | WritePCellData (vtkCellData *cd, vtkIndent indent)
void | WritePPoints (vtkPoints *points, vtkIndent indent)
void | WritePDataArray (vtkDataArray *a, vtkIndent indent, const char *alternateName=0)
void | WritePCoordinates (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, vtkIndent indent)
int | WriteBinaryDataInternal (void *data, unsigned long size)
void | PerformByteSwap (void *data, int numWords, int wordSize)
int | CreateCompressionHeader (unsigned long size)
int | WriteCompressionBlock (unsigned char *data, unsigned long size)
int | WriteCompressionHeader ()
unsigned long | GetWordTypeSize (int dataType)
const char * | GetWordTypeName (int dataType)
char ** | CreateStringArray (int numStrings)
void | DestroyStringArray (int numStrings, char **strings)
virtual int | IsSafeToWrite ()
## Protected Attributes
char * | FileName
ostream * | Stream
int | ByteOrder
int | IdType
int | DataMode
int | EncodeAppendedData
unsigned long | AppendedDataPosition
vtkDataCompressor * | Compressor
unsigned int | BlockSize
unsigned long | CompressionBlockNumber
unsigned int * | CompressionHeader
unsigned int | CompressionHeaderLength
unsigned long | CompressionHeaderPosition
vtkOutputStream * | DataStream

## Member Typedef Documentation

typedef vtkProcessObject vtkXMLWriter::Superclass

| Reimplemented from vtkProcessObject. Reimplemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredDataWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter. Definition at line 55 of file vtkXMLWriter.h.

## Member Enumeration Documentation

anonymous enum

  | Enumerate big and little endian byte order settings. Enumeration values:
  BigEndian |
  LittleEndian |
Definition at line 61 of file vtkXMLWriter.h.

anonymous enum

  | Enumerate the supported data modes. Ascii = Inline ascii data. Binary = Inline binary data (base64 encoded, possibly compressed). Appended = Appended binary data (possibly compressed and/or base64). Enumeration values:
  Ascii |
  Binary |
  Appended |
Definition at line 70 of file vtkXMLWriter.h.

anonymous enum

  | Enumerate the supported vtkIdType bit lengths. Int32 = File stores 32-bit values for vtkIdType. Int64 = File stores 64-bit values for vtkIdType. Enumeration values:
  Int32 |
  Int64 |
Definition at line 79 of file vtkXMLWriter.h.

## Constructor & Destructor Documentation

vtkXMLWriter::vtkXMLWriter | ( |  | ) | `[protected]`

vtkXMLWriter::~vtkXMLWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredDataWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter.

int vtkXMLWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredDataWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter.

virtual int vtkXMLWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredDataWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter.

vtkXMLWriter* vtkXMLWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredDataWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter.

void vtkXMLWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject. Reimplemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredDataWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLWriter::SetByteOrder | ( | int |  | ) | `[virtual]`

| Get/Set the byte order of data written to the file. The default is the machine's hardware byte order.

virtual int vtkXMLWriter::GetByteOrder | ( |  | ) | `[virtual]`

| Get/Set the byte order of data written to the file. The default is the machine's hardware byte order.

void vtkXMLWriter::SetByteOrderToBigEndian | ( |  | ) |

| Get/Set the byte order of data written to the file. The default is the machine's hardware byte order.

void vtkXMLWriter::SetByteOrderToLittleEndian | ( |  | ) |

| Get/Set the byte order of data written to the file. The default is the machine's hardware byte order.

virtual void vtkXMLWriter::SetIdType | ( | int |  | ) | `[virtual]`

| Get/Set the size of the vtkIdType values stored in the file. The default is the real size of vtkIdType.

virtual int vtkXMLWriter::GetIdType | ( |  | ) | `[virtual]`

| Get/Set the size of the vtkIdType values stored in the file. The default is the real size of vtkIdType.

void vtkXMLWriter::SetIdTypeToInt32 | ( |  | ) |

| Get/Set the size of the vtkIdType values stored in the file. The default is the real size of vtkIdType.

void vtkXMLWriter::SetIdTypeToInt64 | ( |  | ) |

| Get/Set the size of the vtkIdType values stored in the file. The default is the real size of vtkIdType.

virtual void vtkXMLWriter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Get/Set the name of the output file.

virtual char* vtkXMLWriter::GetFileName | ( |  | ) | `[virtual]`

| Get/Set the name of the output file.

virtual void vtkXMLWriter::SetCompressor | ( | vtkDataCompressor * |  | ) | `[virtual]`

| Get/Set the compressor used to compress binary and appended data before writing to the file. Default is no compression.

virtual vtkDataCompressor* vtkXMLWriter::GetCompressor | ( |  | ) | `[virtual]`

| Get/Set the compressor used to compress binary and appended data before writing to the file. Default is no compression.

virtual void vtkXMLWriter::SetBlockSize | ( | unsigned | int | ) | `[virtual]`

| Get/Set the block size used in compression. When reading, this controls the granularity of how much extra information must be read when only part of the data are requested.

virtual unsigned int vtkXMLWriter::GetBlockSize | ( |  | ) | `[virtual]`

| Get/Set the block size used in compression. When reading, this controls the granularity of how much extra information must be read when only part of the data are requested.

virtual void vtkXMLWriter::SetDataMode | ( | int |  | ) | `[virtual]`

| Get/Set the data mode used for the file's data. The options are vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and vtkXMLWriter::Appended.

virtual int vtkXMLWriter::GetDataMode | ( |  | ) | `[virtual]`

| Get/Set the data mode used for the file's data. The options are vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and vtkXMLWriter::Appended.

void vtkXMLWriter::SetDataModeToAscii | ( |  | ) |

| Get/Set the data mode used for the file's data. The options are vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and vtkXMLWriter::Appended.

void vtkXMLWriter::SetDataModeToBinary | ( |  | ) |

| Get/Set the data mode used for the file's data. The options are vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and vtkXMLWriter::Appended.

void vtkXMLWriter::SetDataModeToAppended | ( |  | ) |

| Get/Set the data mode used for the file's data. The options are vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and vtkXMLWriter::Appended.

virtual void vtkXMLWriter::SetEncodeAppendedData | ( | int |  | ) | `[virtual]`

| Get/Set whether the appended data section is base64 encoded. If encoded, reading and writing will be slower, but the file will be fully valid XML and text-only. If not encoded, the XML specification will be violated, but reading and writing will be fast. The default is to do the encoding.

virtual int vtkXMLWriter::GetEncodeAppendedData | ( |  | ) | `[virtual]`

| Get/Set whether the appended data section is base64 encoded. If encoded, reading and writing will be slower, but the file will be fully valid XML and text-only. If not encoded, the XML specification will be violated, but reading and writing will be fast. The default is to do the encoding.

virtual void vtkXMLWriter::EncodeAppendedDataOn | ( |  | ) | `[virtual]`

| Get/Set whether the appended data section is base64 encoded. If encoded, reading and writing will be slower, but the file will be fully valid XML and text-only. If not encoded, the XML specification will be violated, but reading and writing will be fast. The default is to do the encoding.

virtual void vtkXMLWriter::EncodeAppendedDataOff | ( |  | ) | `[virtual]`

| Get/Set whether the appended data section is base64 encoded. If encoded, reading and writing will be slower, but the file will be fully valid XML and text-only. If not encoded, the XML specification will be violated, but reading and writing will be fast. The default is to do the encoding.

virtual const char* vtkXMLWriter::GetDefaultFileExtension | ( |  | ) | `[pure virtual]`

| Get the default file extension for files written by this writer. Implemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredGridWriter, and vtkXMLUnstructuredGridWriter.

virtual int vtkXMLWriter::Write | ( |  | ) | `[virtual]`

| Invoke the writer. Returns 1 for success, 0 for failure. Reimplemented in vtkXMLDataSetWriter, vtkXMLPDataSetWriter, and vtkXMLPDataWriter.

virtual void vtkXMLWriter::SetDataStream | ( | vtkOutputStream * |  | ) | `[protected, virtual]`

virtual vtkOutputStream* vtkXMLWriter::GetDataStream | ( |  | ) | `[protected, virtual]`

virtual int vtkXMLWriter::WriteData | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLDataSetWriter, vtkXMLPDataWriter, vtkXMLStructuredDataWriter, and vtkXMLUnstructuredDataWriter.

virtual const char* vtkXMLWriter::GetDataSetName | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLDataSetWriter, vtkXMLImageDataWriter, vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPolyDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLStructuredGridWriter, vtkXMLUnstructuredDataWriter, and vtkXMLUnstructuredGridWriter.

virtual int vtkXMLWriter::GetDataSetMajorVersion | ( |  | ) | `[protected, virtual]`

virtual int vtkXMLWriter::GetDataSetMinorVersion | ( |  | ) | `[protected, virtual]`

vtkDataSet* vtkXMLWriter::GetInputAsDataSet | ( |  | ) | `[protected]`

void vtkXMLWriter::StartFile | ( |  | ) | `[protected]`

virtual void vtkXMLWriter::WriteFileAttributes | ( |  | ) | `[protected, virtual]`

void vtkXMLWriter::EndFile | ( |  | ) | `[protected]`

void vtkXMLWriter::StartAppendedData | ( |  | ) | `[protected]`

void vtkXMLWriter::EndAppendedData | ( |  | ) | `[protected]`

unsigned long vtkXMLWriter::ReserveAttributeSpace | ( | const char * | attr = 0 | ) | `[protected]`

unsigned long vtkXMLWriter::GetAppendedDataOffset | ( |  | ) | `[protected]`

unsigned long vtkXMLWriter::WriteAppendedDataOffset | ( | unsigned long | streamPos,
|  | const char * | attr = 0
| ) | `[protected]`

int vtkXMLWriter::WriteBinaryData | ( | void * | data,
|  | int | numWords,
|  | int | wordType
| ) | `[protected]`

int vtkXMLWriter::WriteBinaryData | ( | char * | data | ) | `[inline, protected]`

| Definition at line 216 of file vtkXMLWriter.h. References VTK_CHAR.

int vtkXMLWriter::WriteBinaryData | ( | char * | data,
|  | int | numWords
| ) | `[inline, protected]`

| Definition at line 219 of file vtkXMLWriter.h. References VTK_CHAR.

int vtkXMLWriter::WriteBinaryData | ( | unsigned char * | data,
|  | int | numWords
| ) | `[inline, protected]`

| Definition at line 221 of file vtkXMLWriter.h. References VTK_UNSIGNED_CHAR.

int vtkXMLWriter::WriteBinaryData | ( | short * | data,
|  | int | numWords
| ) | `[inline, protected]`

| Definition at line 223 of file vtkXMLWriter.h. References VTK_SHORT.

int vtkXMLWriter::WriteBinaryData | ( | unsigned short * | data,
|  | int | numWords
| ) | `[inline, protected]`

| Definition at line 225 of file vtkXMLWriter.h. References VTK_UNSIGNED_SHORT.

int vtkXMLWriter::WriteBinaryData | ( | int * | data,
|  | int | numWords
| ) | `[inline, protected]`

| Definition at line 227 of file vtkXMLWriter.h. References VTK_INT.

int vtkXMLWriter::WriteBinaryData | ( | unsigned int * | data,
|  | int | numWords
| ) | `[inline, protected]`

| Definition at line 229 of file vtkXMLWriter.h. References VTK_UNSIGNED_INT.

int vtkXMLWriter::WriteAsciiData | ( | void * | data,
|  | int | numWords,
|  | int | wordType,
|  | vtkIndent | indent
| ) | `[protected]`

int vtkXMLWriter::WriteAsciiData | ( | char * | data,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 234 of file vtkXMLWriter.h. References VTK_CHAR.

int vtkXMLWriter::WriteAsciiData | ( | char * | data,
|  | int | numWords,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 237 of file vtkXMLWriter.h. References VTK_CHAR.

int vtkXMLWriter::WriteAsciiData | ( | unsigned char * | data,
|  | int | numWords,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 239 of file vtkXMLWriter.h. References VTK_UNSIGNED_CHAR.

int vtkXMLWriter::WriteAsciiData | ( | short * | data,
|  | int | numWords,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 241 of file vtkXMLWriter.h. References VTK_SHORT.

int vtkXMLWriter::WriteAsciiData | ( | unsigned short * | data,
|  | int | numWords,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 243 of file vtkXMLWriter.h. References VTK_UNSIGNED_SHORT.

int vtkXMLWriter::WriteAsciiData | ( | int * | data,
|  | int | numWords,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 245 of file vtkXMLWriter.h. References VTK_INT.

int vtkXMLWriter::WriteAsciiData | ( | unsigned int * | data,
|  | int | numWords,
|  | vtkIndent | indent
| ) | `[inline, protected]`

| Definition at line 247 of file vtkXMLWriter.h. References VTK_UNSIGNED_INT.

int vtkXMLWriter::WriteScalarAttribute | ( | const char * | name,
|  | int | data
| ) | `[protected]`

int vtkXMLWriter::WriteScalarAttribute | ( | const char * | name,
|  | float | data
| ) | `[protected]`

int vtkXMLWriter::WriteVectorAttribute | ( | const char * | name,
|  | int | length,
|  | int * | data
| ) | `[protected]`

int vtkXMLWriter::WriteVectorAttribute | ( | const char * | name,
|  | int | length,
|  | float * | data
| ) | `[protected]`

int vtkXMLWriter::WriteDataModeAttribute | ( | const char * | name | ) | `[protected]`

int vtkXMLWriter::WriteWordTypeAttribute | ( | const char * | name,
|  | int | dataType
| ) | `[protected]`

int vtkXMLWriter::WriteStringAttribute | ( | const char * | name,
|  | const char * | value
| ) | `[protected]`

unsigned long vtkXMLWriter::WriteDataArrayAppended | ( | vtkDataArray * | a,
|  | vtkIndent | indent,
|  | const char * | alternateName = 0
| ) | `[protected]`

void vtkXMLWriter::WriteDataArrayAppendedData | ( | vtkDataArray * | a,
|  | unsigned long | pos
| ) | `[protected]`

void vtkXMLWriter::WriteDataArrayInline | ( | vtkDataArray * | a,
|  | vtkIndent | indent,
|  | const char * | alternateName = 0
| ) | `[protected]`

void vtkXMLWriter::WriteInlineData | ( | void * | data,
|  | int | numWords,
|  | int | wordType,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WritePointDataInline | ( | vtkPointData * | pd,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WriteCellDataInline | ( | vtkCellData * | cd,
|  | vtkIndent | indent
| ) | `[protected]`

unsigned long* vtkXMLWriter::WritePointDataAppended | ( | vtkPointData * | pd,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WritePointDataAppendedData | ( | vtkPointData * | pd,
|  | unsigned long * | pdPositions
| ) | `[protected]`

unsigned long* vtkXMLWriter::WriteCellDataAppended | ( | vtkCellData * | cd,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WriteCellDataAppendedData | ( | vtkCellData * | cd,
|  | unsigned long * | cdPositions
| ) | `[protected]`

void vtkXMLWriter::WriteAttributeIndices | ( | vtkDataSetAttributes * | dsa,
|  | char ** | names
| ) | `[protected]`

unsigned long vtkXMLWriter::WritePointsAppended | ( | vtkPoints * | points,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WritePointsAppendedData | ( | vtkPoints * | points,
|  | unsigned long | pointsPosition
| ) | `[protected]`

void vtkXMLWriter::WritePointsInline | ( | vtkPoints * | points,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WriteCoordinatesInline | ( | vtkDataArray * | xc,
|  | vtkDataArray * | yc,
|  | vtkDataArray * | zc,
|  | vtkIndent | indent
| ) | `[protected]`

unsigned long* vtkXMLWriter::WriteCoordinatesAppended | ( | vtkDataArray * | xc,
|  | vtkDataArray * | yc,
|  | vtkDataArray * | zc,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WriteCoordinatesAppendedData | ( | vtkDataArray * | xc,
|  | vtkDataArray * | yc,
|  | vtkDataArray * | zc,
|  | unsigned long * | cPositions
| ) | `[protected]`

virtual vtkDataArray* vtkXMLWriter::CreateArrayForPoints | ( | vtkDataArray * | inArray | ) | `[protected, virtual]`

| Reimplemented in vtkXMLStructuredDataWriter.

virtual vtkDataArray* vtkXMLWriter::CreateArrayForCells | ( | vtkDataArray * | inArray | ) | `[protected, virtual]`

| Reimplemented in vtkXMLStructuredDataWriter.

virtual vtkDataArray* vtkXMLWriter::CreateExactCoordinates | ( | vtkDataArray * | inArray,
|  | int | xyz
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLRectilinearGridWriter.

void vtkXMLWriter::WritePPointData | ( | vtkPointData * | pd,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WritePCellData | ( | vtkCellData * | cd,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WritePPoints | ( | vtkPoints * | points,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLWriter::WritePDataArray | ( | vtkDataArray * | a,
|  | vtkIndent | indent,
|  | const char * | alternateName = 0
| ) | `[protected]`

void vtkXMLWriter::WritePCoordinates | ( | vtkDataArray * | xc,
|  | vtkDataArray * | yc,
|  | vtkDataArray * | zc,
|  | vtkIndent | indent
| ) | `[protected]`

int vtkXMLWriter::WriteBinaryDataInternal | ( | void * | data,
|  | unsigned long | size
| ) | `[protected]`

void vtkXMLWriter::PerformByteSwap | ( | void * | data,
|  | int | numWords,
|  | int | wordSize
| ) | `[protected]`

int vtkXMLWriter::CreateCompressionHeader | ( | unsigned long | size | ) | `[protected]`

int vtkXMLWriter::WriteCompressionBlock | ( | unsigned char * | data,
|  | unsigned long | size
| ) | `[protected]`

int vtkXMLWriter::WriteCompressionHeader | ( |  | ) | `[protected]`

unsigned long vtkXMLWriter::GetWordTypeSize | ( | int | dataType | ) | `[protected]`

const char* vtkXMLWriter::GetWordTypeName | ( | int | dataType | ) | `[protected]`

char** vtkXMLWriter::CreateStringArray | ( | int | numStrings | ) | `[protected]`

void vtkXMLWriter::DestroyStringArray | ( | int | numStrings,
|  | char ** | strings
| ) | `[protected]`

virtual int vtkXMLWriter::IsSafeToWrite | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

char* vtkXMLWriter::FileName`[protected]`

| Definition at line 155 of file vtkXMLWriter.h.

ostream* vtkXMLWriter::Stream`[protected]`

| Definition at line 158 of file vtkXMLWriter.h.

int vtkXMLWriter::ByteOrder`[protected]`

| Definition at line 161 of file vtkXMLWriter.h.

int vtkXMLWriter::IdType`[protected]`

| Definition at line 164 of file vtkXMLWriter.h.

int vtkXMLWriter::DataMode`[protected]`

| Definition at line 168 of file vtkXMLWriter.h.

int vtkXMLWriter::EncodeAppendedData`[protected]`

| Definition at line 171 of file vtkXMLWriter.h.

unsigned long vtkXMLWriter::AppendedDataPosition`[protected]`

| Definition at line 174 of file vtkXMLWriter.h.

vtkDataCompressor* vtkXMLWriter::Compressor`[protected]`

| Definition at line 177 of file vtkXMLWriter.h.

unsigned int vtkXMLWriter::BlockSize`[protected]`

| Definition at line 178 of file vtkXMLWriter.h.

unsigned long vtkXMLWriter::CompressionBlockNumber`[protected]`

| Definition at line 179 of file vtkXMLWriter.h.

unsigned int* vtkXMLWriter::CompressionHeader`[protected]`

| Definition at line 180 of file vtkXMLWriter.h.

unsigned int vtkXMLWriter::CompressionHeaderLength`[protected]`

| Definition at line 181 of file vtkXMLWriter.h.

unsigned long vtkXMLWriter::CompressionHeaderPosition`[protected]`

| Definition at line 182 of file vtkXMLWriter.h.

vtkOutputStream* vtkXMLWriter::DataStream`[protected]`

| Definition at line 186 of file vtkXMLWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLWriter.h